package com.emr.webservice.MedicalRecordShowBackContent;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;


@XmlRootElement(name = "MR_FILE_CALLBACK_RECORD")
public class MR_FILE_CALLBACK_RECORD {
    @XmlElement
    public String PATIENT_ID;
    @XmlElement
    public int VISIT_ID;
    @XmlElement
    public String FILE_UNIQUE_ID ;
    @XmlElement
    public String APPLY_DATE_TIME ;
    @XmlElement
    public String APPLY_TIME_LIMIT ;
    @XmlElement
    public String APPLY_USER_ID ;
    @XmlElement
    public String APPLY_USER_NAME ;
    @XmlElement
    public String APPLY_DEPT_CODE ;
    @XmlElement
    public int STATUS ;
    @XmlElement
    public String APPROVE_USER_ID ;
    @XmlElement
    public String APPROVE_USER_NAME ;
    @XmlElement
    public String APPROVE_DEPT_CODE ;
    @XmlElement
    public String APPROVE_DATE_TIME ;
    @XmlElement
    public String APPLY_REASON ;
    @XmlElement
    public int CLINIC_TYPE ;
    @XmlElement
    public String EXPIRY_TIME ;
    @XmlElement
    public String APPROVE_REASON ;
    @XmlElement
    public String APPROVE_USER_ID_DIRECTOR ;
    @XmlElement
    public String APPLY_USER_NAME_DIRECTOR ;
    @XmlElement
    public String APPROVE_DEPT_CODE_DIRECTOR ;
    @XmlElement
    public String APPROVE_DATE_TIME_DIRECTOR ;
    @XmlElement
    public String APPLY_REASON_DIRECTOR ;
    @XmlElement
    public String APPROVE_USER_ID_MEDICAL ;
    @XmlElement
    public String APPLY_USER_NAME_MEDICAL ;
    @XmlElement
    public String APPROVE_DEPT_CODE_MEDICAL ;
    @XmlElement
    public String APPROVE_DATE_TIME_MEDICAL ;
    @XmlElement
    public String APPLY_REASON_MEDICAL ;
    @XmlElement
    public String RECEIVE_USERID ;

    @XmlTransient
    public String getPATIENT_ID() {
        return PATIENT_ID;
    }

    public void setPATIENT_ID(String PATIENT_ID) {
        this.PATIENT_ID = PATIENT_ID;
    }

    @XmlTransient
    public int getVISIT_ID() {
        return VISIT_ID;
    }

    public void setVISIT_ID(int VISIT_ID) {
        this.VISIT_ID = VISIT_ID;
    }

    @XmlTransient
    public String getFILE_UNIQUE_ID() {
        return FILE_UNIQUE_ID;
    }

    public void setFILE_UNIQUE_ID(String FILE_UNIQUE_ID) {
        this.FILE_UNIQUE_ID = FILE_UNIQUE_ID;
    }

    @XmlTransient
    public String getAPPLY_DATE_TIME() {
        return APPLY_DATE_TIME;
    }

    public void setAPPLY_DATE_TIME(String APPLY_DATE_TIME) {
        this.APPLY_DATE_TIME = APPLY_DATE_TIME;
    }

    @XmlTransient
    public String getAPPLY_TIME_LIMIT() {
        return APPLY_TIME_LIMIT;
    }

    public void setAPPLY_TIME_LIMIT(String APPLY_TIME_LIMIT) {
        this.APPLY_TIME_LIMIT = APPLY_TIME_LIMIT;
    }

    @XmlTransient
    public String getAPPLY_USER_ID() {
        return APPLY_USER_ID;
    }

    public void setAPPLY_USER_ID(String APPLY_USER_ID) {
        this.APPLY_USER_ID = APPLY_USER_ID;
    }

    @XmlTransient
    public String getAPPLY_USER_NAME() {
        return APPLY_USER_NAME;
    }

    public void setAPPLY_USER_NAME(String APPLY_USER_NAME) {
        this.APPLY_USER_NAME = APPLY_USER_NAME;
    }

    @XmlTransient
    public String getAPPLY_DEPT_CODE() {
        return APPLY_DEPT_CODE;
    }

    public void setAPPLY_DEPT_CODE(String APPLY_DEPT_CODE) {
        this.APPLY_DEPT_CODE = APPLY_DEPT_CODE;
    }

    @XmlTransient
    public int getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(int STATUS) {
        this.STATUS = STATUS;
    }

    @XmlTransient
    public String getAPPROVE_USER_ID() {
        return APPROVE_USER_ID;
    }

    public void setAPPROVE_USER_ID(String APPROVE_USER_ID) {
        this.APPROVE_USER_ID = APPROVE_USER_ID;
    }

    @XmlTransient
    public String getAPPROVE_USER_NAME() {
        return APPROVE_USER_NAME;
    }

    public void setAPPROVE_USER_NAME(String APPROVE_USER_NAME) {
        this.APPROVE_USER_NAME = APPROVE_USER_NAME;
    }

    @XmlTransient
    public String getAPPROVE_DEPT_CODE() {
        return APPROVE_DEPT_CODE;
    }

    public void setAPPROVE_DEPT_CODE(String APPROVE_DEPT_CODE) {
        this.APPROVE_DEPT_CODE = APPROVE_DEPT_CODE;
    }

    @XmlTransient
    public String getAPPROVE_DATE_TIME() {
        return APPROVE_DATE_TIME;
    }

    public void setAPPROVE_DATE_TIME(String APPROVE_DATE_TIME) {
        this.APPROVE_DATE_TIME = APPROVE_DATE_TIME;
    }

    @XmlTransient
    public String getAPPLY_REASON() {
        return APPLY_REASON;
    }

    public void setAPPLY_REASON(String APPLY_REASON) {
        this.APPLY_REASON = APPLY_REASON;
    }

    @XmlTransient
    public int getCLINIC_TYPE() {
        return CLINIC_TYPE;
    }

    public void setCLINIC_TYPE(int CLINIC_TYPE) {
        this.CLINIC_TYPE = CLINIC_TYPE;
    }

    @XmlTransient
    public String getEXPIRY_TIME() {
        return EXPIRY_TIME;
    }

    public void setEXPIRY_TIME(String EXPIRY_TIME) {
        this.EXPIRY_TIME = EXPIRY_TIME;
    }

    @XmlTransient
    public String getAPPROVE_REASON() {
        return APPROVE_REASON;
    }

    public void setAPPROVE_REASON(String APPROVE_REASON) {
        this.APPROVE_REASON = APPROVE_REASON;
    }

    @XmlTransient
    public String getAPPROVE_USER_ID_DIRECTOR() {
        return APPROVE_USER_ID_DIRECTOR;
    }

    public void setAPPROVE_USER_ID_DIRECTOR(String APPROVE_USER_ID_DIRECTOR) {
        this.APPROVE_USER_ID_DIRECTOR = APPROVE_USER_ID_DIRECTOR;
    }

    @XmlTransient
    public String getAPPLY_USER_NAME_DIRECTOR() {
        return APPLY_USER_NAME_DIRECTOR;
    }

    public void setAPPLY_USER_NAME_DIRECTOR(String APPLY_USER_NAME_DIRECTOR) {
        this.APPLY_USER_NAME_DIRECTOR = APPLY_USER_NAME_DIRECTOR;
    }

    @XmlTransient
    public String getAPPROVE_DEPT_CODE_DIRECTOR() {
        return APPROVE_DEPT_CODE_DIRECTOR;
    }

    public void setAPPROVE_DEPT_CODE_DIRECTOR(String APPROVE_DEPT_CODE_DIRECTOR) {
        this.APPROVE_DEPT_CODE_DIRECTOR = APPROVE_DEPT_CODE_DIRECTOR;
    }

    @XmlTransient
    public String getAPPROVE_DATE_TIME_DIRECTOR() {
        return APPROVE_DATE_TIME_DIRECTOR;
    }

    public void setAPPROVE_DATE_TIME_DIRECTOR(String APPROVE_DATE_TIME_DIRECTOR) {
        this.APPROVE_DATE_TIME_DIRECTOR = APPROVE_DATE_TIME_DIRECTOR;
    }

    @XmlTransient
    public String getAPPLY_REASON_DIRECTOR() {
        return APPLY_REASON_DIRECTOR;
    }

    public void setAPPLY_REASON_DIRECTOR(String APPLY_REASON_DIRECTOR) {
        this.APPLY_REASON_DIRECTOR = APPLY_REASON_DIRECTOR;
    }

    @XmlTransient
    public String getAPPROVE_USER_ID_MEDICAL() {
        return APPROVE_USER_ID_MEDICAL;
    }

    public void setAPPROVE_USER_ID_MEDICAL(String APPROVE_USER_ID_MEDICAL) {
        this.APPROVE_USER_ID_MEDICAL = APPROVE_USER_ID_MEDICAL;
    }

    @XmlTransient
    public String getAPPLY_USER_NAME_MEDICAL() {
        return APPLY_USER_NAME_MEDICAL;
    }

    public void setAPPLY_USER_NAME_MEDICAL(String APPLY_USER_NAME_MEDICAL) {
        this.APPLY_USER_NAME_MEDICAL = APPLY_USER_NAME_MEDICAL;
    }

    @XmlTransient
    public String getAPPROVE_DEPT_CODE_MEDICAL() {
        return APPROVE_DEPT_CODE_MEDICAL;
    }

    public void setAPPROVE_DEPT_CODE_MEDICAL(String APPROVE_DEPT_CODE_MEDICAL) {
        this.APPROVE_DEPT_CODE_MEDICAL = APPROVE_DEPT_CODE_MEDICAL;
    }

    @XmlTransient
    public String getAPPROVE_DATE_TIME_MEDICAL() {
        return APPROVE_DATE_TIME_MEDICAL;
    }

    public void setAPPROVE_DATE_TIME_MEDICAL(String APPROVE_DATE_TIME_MEDICAL) {
        this.APPROVE_DATE_TIME_MEDICAL = APPROVE_DATE_TIME_MEDICAL;
    }

    @XmlTransient
    public String getAPPLY_REASON_MEDICAL() {
        return APPLY_REASON_MEDICAL;
    }

    public void setAPPLY_REASON_MEDICAL(String APPLY_REASON_MEDICAL) {
        this.APPLY_REASON_MEDICAL = APPLY_REASON_MEDICAL;
    }

    @XmlTransient
    public String getRECEIVE_USERID() {
        return RECEIVE_USERID;
    }

    public void setRECEIVE_USERID(String RECEIVE_USERID) {
        this.RECEIVE_USERID = RECEIVE_USERID;
    }
}
